// export default {
// //   dev: "http://172.23.0.140:33011",
//   dev: "http://192.168.1.7:21511/approval",
//   uploadUrl: "http://192.168.1.7:21511/approval/oss/upload?bucketName=cgtf",
//   loginDev: "http://192.168.1.7:21511",
//   authenticationUrl: "http://192.168.1.7:21511/violating-subject/",
//   assetsUrl: "https://xct.cdhncy.cn/file",
// };

import Taro from "@tarojs/taro";

const { miniProgram: { envVersion } } = Taro.getAccountInfoSync();
let urls = { dev: '', uploadUrl: '', loginDev: '', authenticationUrl: '', assetsUrl: '' }
if (envVersion === 'develop') {  // 开发版（开发者工具、预览码、提审时审查人员看到的）
    urls = {
        dev: "http://192.168.1.7:21511/approval",
        uploadUrl: "http://192.168.1.7:21511/approval/oss/upload?bucketName=cgtf",
        loginDev: "http://192.168.1.7:21511",
        authenticationUrl: "http://192.168.1.7:21511/violating-subject/",
        assetsUrl: "https://xct.cdhncy.cn/file",
    }
} else if (envVersion === 'trial') {   // 体验版（体验码）
    urls = {
        // dev: "http://192.168.1.7:21511/approval",
        // uploadUrl: "http://192.168.1.7:21511/approval/oss/upload?bucketName=cgtf",
        // loginDev: "http://192.168.1.7:21511",
        // authenticationUrl: "http://192.168.1.7:21511/violating-subject/",
        // assetsUrl: "https://xct.cdhncy.cn/file",

        dev: "https://api.xinducg.cn/approval",
        uploadUrl: "https://xinducg.cn/citizen-voice/oss/upload",
        loginDev: "https://api.xinducg.cn",
        authenticationUrl: "https://api.xinducg.cn/violating-subject",
        assetsUrl: "https://xinducg.cn/file",
    }
} else {  // 正式版（发布后）    新都正式服务
    urls = {
        dev: "https://api.xinducg.cn/approval",
        uploadUrl: "https://xinducg.cn/citizen-voice/oss/upload",
        loginDev: "https://api.xinducg.cn",
        authenticationUrl: "https://api.xinducg.cn/violating-subject",
        assetsUrl: "https://xinducg.cn/file",
    }
}

export default urls